"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeneratePipeAddress = GeneratePipeAddress;
const xpipe_1 = __importDefault(require("xpipe"));
const node_os_1 = require("node:os");
const node_path_1 = __importDefault(require("node:path"));
const node_crypto_1 = require("node:crypto");
const node_fs_1 = require("node:fs");
const fs_1 = require("fs");
/**
 * Generate IPC pipe address
 * @param scope
 * @constructor
 */
function GeneratePipeAddress() {
    const pipesDir = node_path_1.default.resolve((0, node_os_1.tmpdir)(), 'netkitty-pipes');
    if (!(0, node_fs_1.existsSync)(pipesDir))
        (0, fs_1.mkdirSync)(pipesDir, { recursive: true });
    return xpipe_1.default.eq(node_path_1.default.resolve(pipesDir, `netkitty_pipe_${(0, node_crypto_1.randomBytes)(8).toString('hex')}${Date.now().toString(16)}.sock`));
}
